Loading...
Searching...
No Matches
Gfx::EngineGroundMark Struct Reference

A mark on ground drawn by the graphics engine. More...

`#include <src/graphics/engine/engine.h>`

## Public Member Functions

void | LoadDefault ()

## Public Attributes

bool | draw = false
| If true, draw mark.
EngineGroundMarkPhase | phase = ENG_GR_MARK_PHASE_NULL
| Phase of life.
float | delay [3] = {}
| Times for 3 life phases.
float | fix = 0.0f
| Fixed time.
Math::Vector | pos
| Position for marks.
float | radius = 0.0f
| Radius of marks.
float | intensity = 0.0f
| Color intensity.
Math::Vector | drawPos
| Draw position for marks.
float | drawRadius = 0.0f
| Radius for marks.
float | drawIntensity = 0.0f
| Draw intensity for marks.
int | dx = 0
| X dimension of table.
int | dy = 0
| Y dimension of table.
char * | table = nullptr
| Pointer to the table.

## Detailed Description

A mark on ground drawn by the graphics engine.

## Member Data Documentation

## draw

bool Gfx::EngineGroundMark::draw = false

If true, draw mark.

## phase

EngineGroundMarkPhase Gfx::EngineGroundMark::phase = ENG_GR_MARK_PHASE_NULL

Phase of life.

## delay

float Gfx::EngineGroundMark::delay[3] = {}

Times for 3 life phases.

## fix

float Gfx::EngineGroundMark::fix = 0.0f

Fixed time.

## pos

Math::Vector Gfx::EngineGroundMark::pos

Position for marks.

## radius

float Gfx::EngineGroundMark::radius = 0.0f

Radius of marks.

## intensity

float Gfx::EngineGroundMark::intensity = 0.0f

Color intensity.

## drawPos

Math::Vector Gfx::EngineGroundMark::drawPos

Draw position for marks.

## drawRadius

float Gfx::EngineGroundMark::drawRadius = 0.0f

Radius for marks.

## drawIntensity

float Gfx::EngineGroundMark::drawIntensity = 0.0f

Draw intensity for marks.

## dx

int Gfx::EngineGroundMark::dx = 0

X dimension of table.

## dy

int Gfx::EngineGroundMark::dy = 0

Y dimension of table.

## table

char* Gfx::EngineGroundMark::table = nullptr

Pointer to the table.

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h